
QGIS Application - Bug report #20468

[Report] Crash when configuring a group field section

2018-11-12 03:54 PM - Harrissou Santanna

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.4.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 28288

Description

User Feedback

I was exploring the Layout report capabilities, following the ultimate guide from North Road. I added a field group section, selected the

layer and the field to use and boom!

Report Details

Crash ID: e492bc87c6c8d8c22726f14578e221bb10758427

Stack Trace

QgsRasterCalcDialog::numberOfColumns :

QgsAllLayersFeaturesLocatorFilter::priority :

QMetaObject::activate :

QAction::activate :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QToolButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.1-Madeira

QGIS code revision: commit:383851c597
https://north-road.com/2018/01/23/exploring-reports-in-qgis-3-0-the-ultimate-guide/


Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2019-01-22 06:36 PM - Julien Cabieces

- Status changed from Open to Feedback

I can't reproduce with 3.4.3

Could you please try with a more recent version and add the data you used to reproduce the issue

#2 - 2019-02-24 10:16 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
